package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingVersionGenerateRequest struct {
	/*
	   档期版本号参数信息     */
	Param *domain.AlibabaHmMarketingVersionGenerateSeasonVersionParam `json:"param,omitempty" required:"false" `
}

func (s *AlibabaHmMarketingVersionGenerateRequest) SetParam(v domain.AlibabaHmMarketingVersionGenerateSeasonVersionParam) *AlibabaHmMarketingVersionGenerateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingVersionGenerateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingVersionGenerateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
